signature InstructionSemantics_TOKENS =
sig
type ('a,'b) token
type svalue
val UNOP_SQRT_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_SQRT_DOUBLE:  'a * 'a -> (svalue,'a) token
val UNOP_APPROX_RECIPROCAL_SQRT_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_APPROX_RECIPROCAL_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_SINGLE_TO_INT64_TRUNCATE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_DOUBLE_TO_INT64_TRUNCATE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_SINGLE_TO_INT32_TRUNCATE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_DOUBLE_TO_INT32_TRUNCATE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_SINGLE_TO_INT64:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_INT64_TO_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_INT64_TO_DOUBLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_DOUBLE_TO_INT64:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_SINGLE_TO_DOUBLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_SINGLE_TO_INT32:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_DOUBLE_TO_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_DOUBLE_TO_INT32:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_INT32_TO_SINGLE:  'a * 'a -> (svalue,'a) token
val UNOP_CVT_INT32_TO_DOUBLE:  'a * 'a -> (svalue,'a) token
val UNOP_NEG:  'a * 'a -> (svalue,'a) token
val UNOP_NOT:  'a * 'a -> (svalue,'a) token
val UNOP_SEXTEND256:  'a * 'a -> (svalue,'a) token
val UNOP_SEXTEND128:  'a * 'a -> (svalue,'a) token
val UNOP_SEXTEND64:  'a * 'a -> (svalue,'a) token
val UNOP_SEXTEND32:  'a * 'a -> (svalue,'a) token
val UNOP_SEXTEND16:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_REMAINDER_INT64:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_QUOTIENT_INT64:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_REMAINDER_INT64:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_QUOTIENT_INT64:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_REMAINDER_INT32:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_QUOTIENT_INT32:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_REMAINDER_INT32:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_QUOTIENT_INT32:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_REMAINDER_INT16:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_QUOTIENT_INT16:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_REMAINDER_INT16:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_QUOTIENT_INT16:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_REMAINDER_INT8:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_QUOTIENT_INT8:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_REMAINDER_INT8:  'a * 'a -> (svalue,'a) token
val BINOP_IDIV_QUOTIENT_INT8:  'a * 'a -> (svalue,'a) token
val BINOP_MINCMP_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_MAXCMP_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_MAXCMP_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_MINCMP_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_CMPD:  'a * 'a -> (svalue,'a) token
val BINOP_CMPF:  'a * 'a -> (svalue,'a) token
val BINOP_MUL_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_SUB_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_ADD_DOUBLE:  'a * 'a -> (svalue,'a) token
val BINOP_MUL_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_DIV_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_SUB_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_ADD_SINGLE:  'a * 'a -> (svalue,'a) token
val BINOP_XOR:  'a * 'a -> (svalue,'a) token
val BINOP_SIGN_SHIFT_RIGHT:  'a * 'a -> (svalue,'a) token
val BINOP_SIGNED_MOD:  'a * 'a -> (svalue,'a) token
val BINOP_SIGNED_DIV:  'a * 'a -> (svalue,'a) token
val BINOP_SHIFT_RIGHT:  'a * 'a -> (svalue,'a) token
val BINOP_SHIFT_LEFT:  'a * 'a -> (svalue,'a) token
val BINOP_ROT_RIGHT:  'a * 'a -> (svalue,'a) token
val BINOP_ROT_LEFT:  'a * 'a -> (svalue,'a) token
val BINOP_PLUS:  'a * 'a -> (svalue,'a) token
val BINOP_OR:  'a * 'a -> (svalue,'a) token
val BINOP_MULT:  'a * 'a -> (svalue,'a) token
val BINOP_MODULUS:  'a * 'a -> (svalue,'a) token
val BINOP_MINUS:  'a * 'a -> (svalue,'a) token
val BINOP_DIV:  'a * 'a -> (svalue,'a) token
val BINOP_CONCAT:  'a * 'a -> (svalue,'a) token
val BINOP_AND:  'a * 'a -> (svalue,'a) token
val TERNOP_VNFMSUB132_DOUBLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFNMSUB132_SINGLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFNMADD132_DOUBLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFNMADD132_SINGLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFMSUB132_DOUBLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFMSUB132_SINGLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFMADD132_DOUBLE:  'a * 'a -> (svalue,'a) token
val TERNOP_VFMADD132_SINGLE:  'a * 'a -> (svalue,'a) token
val B_BINOP_IMPLIES:  'a * 'a -> (svalue,'a) token
val B_BINOP_IFF:  'a * 'a -> (svalue,'a) token
val B_BINOP_XOR:  'a * 'a -> (svalue,'a) token
val B_BINOP_OR:  'a * 'a -> (svalue,'a) token
val B_BINOP_AND:  'a * 'a -> (svalue,'a) token
val FALSE:  'a * 'a -> (svalue,'a) token
val TRUE:  'a * 'a -> (svalue,'a) token
val BEQ:  'a * 'a -> (svalue,'a) token
val FEQ:  'a * 'a -> (svalue,'a) token
val QMARK:  'a * 'a -> (svalue,'a) token
val NEWLINE:  'a * 'a -> (svalue,'a) token
val UNDERSCORE:  'a * 'a -> (svalue,'a) token
val EOF:  'a * 'a -> (svalue,'a) token
val ARROW:  'a * 'a -> (svalue,'a) token
val EQ:  'a * 'a -> (svalue,'a) token
val OP_PLUS:  'a * 'a -> (svalue,'a) token
val SEMI_COLON:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val RBRACKET:  'a * 'a -> (svalue,'a) token
val LBRACKET:  'a * 'a -> (svalue,'a) token
val COLON:  'a * 'a -> (svalue,'a) token
val EMPTY_FORMULA:  'a * 'a -> (svalue,'a) token
val COMMA:  'a * 'a -> (svalue,'a) token
val RDX:  'a * 'a -> (svalue,'a) token
val RCX:  'a * 'a -> (svalue,'a) token
val RBX:  'a * 'a -> (svalue,'a) token
val RAX:  'a * 'a -> (svalue,'a) token
val OP3_W0:  'a * 'a -> (svalue,'a) token
val OP3_W1:  'a * 'a -> (svalue,'a) token
val OP3_W2:  'a * 'a -> (svalue,'a) token
val OP3_W3:  'a * 'a -> (svalue,'a) token
val OP2_W0:  'a * 'a -> (svalue,'a) token
val OP2_W1:  'a * 'a -> (svalue,'a) token
val OP2_W2:  'a * 'a -> (svalue,'a) token
val OP2_W3:  'a * 'a -> (svalue,'a) token
val OP1_W0:  'a * 'a -> (svalue,'a) token
val OP1_W1:  'a * 'a -> (svalue,'a) token
val OP1_W2:  'a * 'a -> (svalue,'a) token
val OP1_W3:  'a * 'a -> (svalue,'a) token
val OP3:  'a * 'a -> (svalue,'a) token
val OP2:  'a * 'a -> (svalue,'a) token
val OP1:  'a * 'a -> (svalue,'a) token
val AF:  'a * 'a -> (svalue,'a) token
val OF:  'a * 'a -> (svalue,'a) token
val CF:  'a * 'a -> (svalue,'a) token
val SF:  'a * 'a -> (svalue,'a) token
val PF:  'a * 'a -> (svalue,'a) token
val ZF:  'a * 'a -> (svalue,'a) token
val IMM_TERMINAL:  'a * 'a -> (svalue,'a) token
val IMM64:  'a * 'a -> (svalue,'a) token
val IMM32:  'a * 'a -> (svalue,'a) token
val IMM16:  'a * 'a -> (svalue,'a) token
val IMM8:  'a * 'a -> (svalue,'a) token
val IMMONE:  'a * 'a -> (svalue,'a) token
val MEM_TERMINAL:  'a * 'a -> (svalue,'a) token
val M256:  'a * 'a -> (svalue,'a) token
val M128:  'a * 'a -> (svalue,'a) token
val M64:  'a * 'a -> (svalue,'a) token
val M32:  'a * 'a -> (svalue,'a) token
val M16:  'a * 'a -> (svalue,'a) token
val M8:  'a * 'a -> (svalue,'a) token
val REG_TYPE_TERMINAL:  'a * 'a -> (svalue,'a) token
val ZMM:  'a * 'a -> (svalue,'a) token
val YMM:  'a * 'a -> (svalue,'a) token
val XMM:  'a * 'a -> (svalue,'a) token
val R64:  'a * 'a -> (svalue,'a) token
val R32:  'a * 'a -> (svalue,'a) token
val R16:  'a * 'a -> (svalue,'a) token
val RH:  'a * 'a -> (svalue,'a) token
val R8:  'a * 'a -> (svalue,'a) token
val VPBROADCASTW:  'a * 'a -> (svalue,'a) token
val VPBROADCASTQ:  'a * 'a -> (svalue,'a) token
val VPBROADCASTD:  'a * 'a -> (svalue,'a) token
val VPBROADCASTB:  'a * 'a -> (svalue,'a) token
val TZCNT:  'a * 'a -> (svalue,'a) token
val SHRX:  'a * 'a -> (svalue,'a) token
val SHLX:  'a * 'a -> (svalue,'a) token
val SARX:  'a * 'a -> (svalue,'a) token
val RORX:  'a * 'a -> (svalue,'a) token
val PEXT:  'a * 'a -> (svalue,'a) token
val PDEP:  'a * 'a -> (svalue,'a) token
val MULX:  'a * 'a -> (svalue,'a) token
val LZCNT:  'a * 'a -> (svalue,'a) token
val BZHI:  'a * 'a -> (svalue,'a) token
val BLSR:  'a * 'a -> (svalue,'a) token
val BLSMSK:  'a * 'a -> (svalue,'a) token
val BLSI:  'a * 'a -> (svalue,'a) token
val BEXTR:  'a * 'a -> (svalue,'a) token
val ANDN:  'a * 'a -> (svalue,'a) token
val VFNMSUB231SS:  'a * 'a -> (svalue,'a) token
val VFNMSUB213SS:  'a * 'a -> (svalue,'a) token
val VFNMSUB132SS:  'a * 'a -> (svalue,'a) token
val VFNMSUB231SD:  'a * 'a -> (svalue,'a) token
val VFNMSUB213SD:  'a * 'a -> (svalue,'a) token
val VFNMSUB132SD:  'a * 'a -> (svalue,'a) token
val VFNMSUB231PS:  'a * 'a -> (svalue,'a) token
val VFNMSUB213PS:  'a * 'a -> (svalue,'a) token
val VFNMSUB132PS:  'a * 'a -> (svalue,'a) token
val VFNMSUB231PD:  'a * 'a -> (svalue,'a) token
val VFNMSUB213PD:  'a * 'a -> (svalue,'a) token
val VFNMSUB132PD:  'a * 'a -> (svalue,'a) token
val VFNMADD231SS:  'a * 'a -> (svalue,'a) token
val VFNMADD213SS:  'a * 'a -> (svalue,'a) token
val VFNMADD132SS:  'a * 'a -> (svalue,'a) token
val VFNMADD231SD:  'a * 'a -> (svalue,'a) token
val VFNMADD213SD:  'a * 'a -> (svalue,'a) token
val VFNMADD132SD:  'a * 'a -> (svalue,'a) token
val VFNMADD231PS:  'a * 'a -> (svalue,'a) token
val VFNMADD213PS:  'a * 'a -> (svalue,'a) token
val VFNMADD132PS:  'a * 'a -> (svalue,'a) token
val VFNMADD231PD:  'a * 'a -> (svalue,'a) token
val VFNMADD213PD:  'a * 'a -> (svalue,'a) token
val VFNMADD132PD:  'a * 'a -> (svalue,'a) token
val VFMSUB231SS:  'a * 'a -> (svalue,'a) token
val VFMSUB213SS:  'a * 'a -> (svalue,'a) token
val VFMSUB132SS:  'a * 'a -> (svalue,'a) token
val VFMSUB231SD:  'a * 'a -> (svalue,'a) token
val VFMSUB213SD:  'a * 'a -> (svalue,'a) token
val VFMSUB132SD:  'a * 'a -> (svalue,'a) token
val VFMSUB231PS:  'a * 'a -> (svalue,'a) token
val VFMSUB213PS:  'a * 'a -> (svalue,'a) token
val VFMSUB132PS:  'a * 'a -> (svalue,'a) token
val VFMSUB231PD:  'a * 'a -> (svalue,'a) token
val VFMSUB213PD:  'a * 'a -> (svalue,'a) token
val VFMSUB132PD:  'a * 'a -> (svalue,'a) token
val VFMSUBADD231PS:  'a * 'a -> (svalue,'a) token
val VFMSUBADD213PS:  'a * 'a -> (svalue,'a) token
val VFMSUBADD132PS:  'a * 'a -> (svalue,'a) token
val VFMSUBADD231PD:  'a * 'a -> (svalue,'a) token
val VFMSUBADD213PD:  'a * 'a -> (svalue,'a) token
val VFMSUBADD132PD:  'a * 'a -> (svalue,'a) token
val VFMADDSUB231PS:  'a * 'a -> (svalue,'a) token
val VFMADDSUB213PS:  'a * 'a -> (svalue,'a) token
val VFMADDSUB132PS:  'a * 'a -> (svalue,'a) token
val VFMADDSUB231PD:  'a * 'a -> (svalue,'a) token
val VFMADDSUB213PD:  'a * 'a -> (svalue,'a) token
val VFMADDSUB132PD:  'a * 'a -> (svalue,'a) token
val VFMADD231SS:  'a * 'a -> (svalue,'a) token
val VFMADD213SS:  'a * 'a -> (svalue,'a) token
val VFMADD132SS:  'a * 'a -> (svalue,'a) token
val VFMADD231SD:  'a * 'a -> (svalue,'a) token
val VFMADD213SD:  'a * 'a -> (svalue,'a) token
val VFMADD132SD:  'a * 'a -> (svalue,'a) token
val VFMADD231PS:  'a * 'a -> (svalue,'a) token
val VFMADD213PS:  'a * 'a -> (svalue,'a) token
val VFMADD132PS:  'a * 'a -> (svalue,'a) token
val VFMADD231PD:  'a * 'a -> (svalue,'a) token
val VFMADD213PD:  'a * 'a -> (svalue,'a) token
val VFMADD132PD:  'a * 'a -> (svalue,'a) token
val VPINSRQ:  'a * 'a -> (svalue,'a) token
val VPINSRD:  'a * 'a -> (svalue,'a) token
val VPINSRB:  'a * 'a -> (svalue,'a) token
val VPEXTRQ:  'a * 'a -> (svalue,'a) token
val VPEXTRD:  'a * 'a -> (svalue,'a) token
val VPEXTRB:  'a * 'a -> (svalue,'a) token
val VPBLENDW:  'a * 'a -> (svalue,'a) token
val VPBLENDVB:  'a * 'a -> (svalue,'a) token
val VPCMPEQQ:  'a * 'a -> (svalue,'a) token
val VPACKUSDW:  'a * 'a -> (svalue,'a) token
val VINSERTPS:  'a * 'a -> (svalue,'a) token
val VEXTRACTPS:  'a * 'a -> (svalue,'a) token
val VPSHUFB:  'a * 'a -> (svalue,'a) token
val VPALIGNR:  'a * 'a -> (svalue,'a) token
val VPEXTRW:  'a * 'a -> (svalue,'a) token
val VPINSRW:  'a * 'a -> (svalue,'a) token
val VMASKMOVDQU:  'a * 'a -> (svalue,'a) token
val VPMOVMSKB:  'a * 'a -> (svalue,'a) token
val VPSHUFD:  'a * 'a -> (svalue,'a) token
val VPSHUFLW:  'a * 'a -> (svalue,'a) token
val VPSHUFHW:  'a * 'a -> (svalue,'a) token
val VPUNPCKHQDQ:  'a * 'a -> (svalue,'a) token
val VPUNPCKLQDQ:  'a * 'a -> (svalue,'a) token
val VPUNPCKLDQ:  'a * 'a -> (svalue,'a) token
val VPUNPCKHDQ:  'a * 'a -> (svalue,'a) token
val VPUNPCKLWD:  'a * 'a -> (svalue,'a) token
val VPUNPCKLBW:  'a * 'a -> (svalue,'a) token
val VPUNPCKHWD:  'a * 'a -> (svalue,'a) token
val VPUNPCKHBW:  'a * 'a -> (svalue,'a) token
val VPACKSSWB:  'a * 'a -> (svalue,'a) token
val VPACKSSDW:  'a * 'a -> (svalue,'a) token
val VPACKUSWB:  'a * 'a -> (svalue,'a) token
val VMOVD:  'a * 'a -> (svalue,'a) token
val VMOVQ:  'a * 'a -> (svalue,'a) token
val VMOVHLPS:  'a * 'a -> (svalue,'a) token
val VMOVLHPS:  'a * 'a -> (svalue,'a) token
val VMOVLPD:  'a * 'a -> (svalue,'a) token
val VMOVLPS:  'a * 'a -> (svalue,'a) token
val VMOVHPD:  'a * 'a -> (svalue,'a) token
val VMOVHPS:  'a * 'a -> (svalue,'a) token
val VCMPSD:  'a * 'a -> (svalue,'a) token
val VCMPSS:  'a * 'a -> (svalue,'a) token
val VMOVSD:  'a * 'a -> (svalue,'a) token
val VMOVSS:  'a * 'a -> (svalue,'a) token
val VSTMXCSR:  'a * 'a -> (svalue,'a) token
val VAESKEYGENASSIST:  'a * 'a -> (svalue,'a) token
val VAESIMX:  'a * 'a -> (svalue,'a) token
val VAESENCLAST:  'a * 'a -> (svalue,'a) token
val VAESENC:  'a * 'a -> (svalue,'a) token
val VAESDECLAST:  'a * 'a -> (svalue,'a) token
val VAESDEC:  'a * 'a -> (svalue,'a) token
val VPCLMULQDQ:  'a * 'a -> (svalue,'a) token
val VPCMPISTRM:  'a * 'a -> (svalue,'a) token
val VPCMPISTRI:  'a * 'a -> (svalue,'a) token
val VPCMPESTRM:  'a * 'a -> (svalue,'a) token
val VPCMPESTRI:  'a * 'a -> (svalue,'a) token
val VPCMPGTQ:  'a * 'a -> (svalue,'a) token
val VPOPCNT:  'a * 'a -> (svalue,'a) token
val VROUNDSS:  'a * 'a -> (svalue,'a) token
val VROUNDSD:  'a * 'a -> (svalue,'a) token
val VPMULLD:  'a * 'a -> (svalue,'a) token
val VPMULDQ:  'a * 'a -> (svalue,'a) token
val VPMOVZXDQ:  'a * 'a -> (svalue,'a) token
val VPMOVSXDQ:  'a * 'a -> (svalue,'a) token
val VPMOVZXWQ:  'a * 'a -> (svalue,'a) token
val VPMOVSXWQ:  'a * 'a -> (svalue,'a) token
val VPMOVZXWD:  'a * 'a -> (svalue,'a) token
val VPMOVSXWD:  'a * 'a -> (svalue,'a) token
val VPMOVZXBQ:  'a * 'a -> (svalue,'a) token
val VPMOVSXBQ:  'a * 'a -> (svalue,'a) token
val VPMOVZXBD:  'a * 'a -> (svalue,'a) token
val VPMOVSXBD:  'a * 'a -> (svalue,'a) token
val VPMOVZXBW:  'a * 'a -> (svalue,'a) token
val VPMOVSXBW:  'a * 'a -> (svalue,'a) token
val VPMINUW:  'a * 'a -> (svalue,'a) token
val VPMAXUW:  'a * 'a -> (svalue,'a) token
val VPMINUD:  'a * 'a -> (svalue,'a) token
val VPMINSD:  'a * 'a -> (svalue,'a) token
val VPMINSB:  'a * 'a -> (svalue,'a) token
val VPMAXUD:  'a * 'a -> (svalue,'a) token
val VPMAXSD:  'a * 'a -> (svalue,'a) token
val VPMAXSB:  'a * 'a -> (svalue,'a) token
val VMPSADBW:  'a * 'a -> (svalue,'a) token
val VPHMINPOSUW:  'a * 'a -> (svalue,'a) token
val VDPPD:  'a * 'a -> (svalue,'a) token
val VPABSD:  'a * 'a -> (svalue,'a) token
val VPABSW:  'a * 'a -> (svalue,'a) token
val VPABSB:  'a * 'a -> (svalue,'a) token
val VPSIGND:  'a * 'a -> (svalue,'a) token
val VPSIGNW:  'a * 'a -> (svalue,'a) token
val VPSIGNB:  'a * 'a -> (svalue,'a) token
val VPMULHRSW:  'a * 'a -> (svalue,'a) token
val VPHADDSW:  'a * 'a -> (svalue,'a) token
val VPHADDD:  'a * 'a -> (svalue,'a) token
val VPHADDW:  'a * 'a -> (svalue,'a) token
val VPHSUBSW:  'a * 'a -> (svalue,'a) token
val VPHSUBD:  'a * 'a -> (svalue,'a) token
val VPHSUBW:  'a * 'a -> (svalue,'a) token
val VPSRAD:  'a * 'a -> (svalue,'a) token
val VPSRLQ:  'a * 'a -> (svalue,'a) token
val VPSRLD:  'a * 'a -> (svalue,'a) token
val VPSRLW:  'a * 'a -> (svalue,'a) token
val VPSRAW:  'a * 'a -> (svalue,'a) token
val VPSLLQ:  'a * 'a -> (svalue,'a) token
val VPSLLD:  'a * 'a -> (svalue,'a) token
val VPSLLW:  'a * 'a -> (svalue,'a) token
val VPSUBQ:  'a * 'a -> (svalue,'a) token
val VPSUBD:  'a * 'a -> (svalue,'a) token
val VPSUBW:  'a * 'a -> (svalue,'a) token
val VPSUBB:  'a * 'a -> (svalue,'a) token
val VPADDQ:  'a * 'a -> (svalue,'a) token
val VPADDD:  'a * 'a -> (svalue,'a) token
val VPADDW:  'a * 'a -> (svalue,'a) token
val VPADDB:  'a * 'a -> (svalue,'a) token
val VPMAXSW:  'a * 'a -> (svalue,'a) token
val VPMAXUB:  'a * 'a -> (svalue,'a) token
val VPMINSW:  'a * 'a -> (svalue,'a) token
val VPMINUB:  'a * 'a -> (svalue,'a) token
val VPSUBSB:  'a * 'a -> (svalue,'a) token
val VPSUBUSW:  'a * 'a -> (svalue,'a) token
val VPSUBUSB:  'a * 'a -> (svalue,'a) token
val VPADDSB:  'a * 'a -> (svalue,'a) token
val VPADDUSW:  'a * 'a -> (svalue,'a) token
val VPADDUSB:  'a * 'a -> (svalue,'a) token
val VPSADBW:  'a * 'a -> (svalue,'a) token
val VPADDSW:  'a * 'a -> (svalue,'a) token
val VPSUBSW:  'a * 'a -> (svalue,'a) token
val VPMULHW:  'a * 'a -> (svalue,'a) token
val VPMULHUW:  'a * 'a -> (svalue,'a) token
val VPMULLW:  'a * 'a -> (svalue,'a) token
val VPCMPEQD:  'a * 'a -> (svalue,'a) token
val VPCMPEQW:  'a * 'a -> (svalue,'a) token
val VPCMPEQB:  'a * 'a -> (svalue,'a) token
val VPMULUDQ:  'a * 'a -> (svalue,'a) token
val VPAVGW:  'a * 'a -> (svalue,'a) token
val VPAVGB:  'a * 'a -> (svalue,'a) token
val VPMADDUBSW:  'a * 'a -> (svalue,'a) token
val VPMADDWD:  'a * 'a -> (svalue,'a) token
val VPCMPGTD:  'a * 'a -> (svalue,'a) token
val VPCMPGTW:  'a * 'a -> (svalue,'a) token
val VPCMPGTB:  'a * 'a -> (svalue,'a) token
val VPXOR:  'a * 'a -> (svalue,'a) token
val VPOR:  'a * 'a -> (svalue,'a) token
val VPANDN:  'a * 'a -> (svalue,'a) token
val VPAND:  'a * 'a -> (svalue,'a) token
val VMAXSD:  'a * 'a -> (svalue,'a) token
val VMAXSS:  'a * 'a -> (svalue,'a) token
val VMINSD:  'a * 'a -> (svalue,'a) token
val VMINSS:  'a * 'a -> (svalue,'a) token
val VCVTSD2SS:  'a * 'a -> (svalue,'a) token
val VCVTSS2SD:  'a * 'a -> (svalue,'a) token
val VSQRTSD:  'a * 'a -> (svalue,'a) token
val VSQRTSS:  'a * 'a -> (svalue,'a) token
val VDIVSD:  'a * 'a -> (svalue,'a) token
val VDIVSS:  'a * 'a -> (svalue,'a) token
val VMULSD:  'a * 'a -> (svalue,'a) token
val VMULSS:  'a * 'a -> (svalue,'a) token
val VSUBSD:  'a * 'a -> (svalue,'a) token
val VSUBSS:  'a * 'a -> (svalue,'a) token
val VADDSD:  'a * 'a -> (svalue,'a) token
val VADDSS:  'a * 'a -> (svalue,'a) token
val VCOMISS:  'a * 'a -> (svalue,'a) token
val VUCOMISD:  'a * 'a -> (svalue,'a) token
val VUCOMISS:  'a * 'a -> (svalue,'a) token
val VRCPSS:  'a * 'a -> (svalue,'a) token
val VRSQRTSS:  'a * 'a -> (svalue,'a) token
val VCOMISD:  'a * 'a -> (svalue,'a) token
val VCVTSS2SI:  'a * 'a -> (svalue,'a) token
val VCVTTSD2SI:  'a * 'a -> (svalue,'a) token
val VCVTTSS2SI:  'a * 'a -> (svalue,'a) token
val VCVTSD2SI:  'a * 'a -> (svalue,'a) token
val VCVTSI2SD:  'a * 'a -> (svalue,'a) token
val VCVTSI2SS:  'a * 'a -> (svalue,'a) token
val VZEROUPPER:  'a * 'a -> (svalue,'a) token
val VZEROALL:  'a * 'a -> (svalue,'a) token
val VTESTPD:  'a * 'a -> (svalue,'a) token
val VTESTPS:  'a * 'a -> (svalue,'a) token
val VPERM2F128:  'a * 'a -> (svalue,'a) token
val VPERMILPS:  'a * 'a -> (svalue,'a) token
val VPERMILPD:  'a * 'a -> (svalue,'a) token
val VMASKMOVPD:  'a * 'a -> (svalue,'a) token
val VMASKMOVPS:  'a * 'a -> (svalue,'a) token
val VINSERTF128:  'a * 'a -> (svalue,'a) token
val VEXTRACTF128:  'a * 'a -> (svalue,'a) token
val VBROADCASTSS:  'a * 'a -> (svalue,'a) token
val VBROADCASTSD:  'a * 'a -> (svalue,'a) token
val VBROADCASTF128:  'a * 'a -> (svalue,'a) token
val VANDPS:  'a * 'a -> (svalue,'a) token
val VANDPD:  'a * 'a -> (svalue,'a) token
val VANDNPS:  'a * 'a -> (svalue,'a) token
val VANDNPD:  'a * 'a -> (svalue,'a) token
val VORPD:  'a * 'a -> (svalue,'a) token
val VORPS:  'a * 'a -> (svalue,'a) token
val VXORPD:  'a * 'a -> (svalue,'a) token
val VXORPS:  'a * 'a -> (svalue,'a) token
val VPTEST:  'a * 'a -> (svalue,'a) token
val VBLENDVPD:  'a * 'a -> (svalue,'a) token
val VBLENDVPS:  'a * 'a -> (svalue,'a) token
val VUNPCKLPS:  'a * 'a -> (svalue,'a) token
val VSHUFPS:  'a * 'a -> (svalue,'a) token
val VSHUFPD:  'a * 'a -> (svalue,'a) token
val VBLENDPD:  'a * 'a -> (svalue,'a) token
val VBLENDPS:  'a * 'a -> (svalue,'a) token
val VUNPCKLPD:  'a * 'a -> (svalue,'a) token
val VUNPCKHPS:  'a * 'a -> (svalue,'a) token
val VUNPCKHPD:  'a * 'a -> (svalue,'a) token
val VMOVDDUP:  'a * 'a -> (svalue,'a) token
val VMOVSLDUP:  'a * 'a -> (svalue,'a) token
val VMOVSHDUP:  'a * 'a -> (svalue,'a) token
val VMOVNTDQA:  'a * 'a -> (svalue,'a) token
val VMOVNTDQ:  'a * 'a -> (svalue,'a) token
val VMOVNTPD:  'a * 'a -> (svalue,'a) token
val VMOVNTPS:  'a * 'a -> (svalue,'a) token
val VLDDQU:  'a * 'a -> (svalue,'a) token
val VMOVMSKPD:  'a * 'a -> (svalue,'a) token
val VMOVMSKPS:  'a * 'a -> (svalue,'a) token
val VMOVDQU:  'a * 'a -> (svalue,'a) token
val VMOVUPD:  'a * 'a -> (svalue,'a) token
val VMOVUPS:  'a * 'a -> (svalue,'a) token
val VMOVDQA:  'a * 'a -> (svalue,'a) token
val VMOVAPD:  'a * 'a -> (svalue,'a) token
val VMOVAPS:  'a * 'a -> (svalue,'a) token
val VROUNDPS:  'a * 'a -> (svalue,'a) token
val VROUNDPD:  'a * 'a -> (svalue,'a) token
val VDPPS:  'a * 'a -> (svalue,'a) token
val VADDSUBPS:  'a * 'a -> (svalue,'a) token
val VADDSUBPD:  'a * 'a -> (svalue,'a) token
val VCMPPD:  'a * 'a -> (svalue,'a) token
val VCMPPS:  'a * 'a -> (svalue,'a) token
val VHSUBPS:  'a * 'a -> (svalue,'a) token
val VHSUBPD:  'a * 'a -> (svalue,'a) token
val VHADDPS:  'a * 'a -> (svalue,'a) token
val VHADDPD:  'a * 'a -> (svalue,'a) token
val VMAXPD:  'a * 'a -> (svalue,'a) token
val VMAXPS:  'a * 'a -> (svalue,'a) token
val VMINPD:  'a * 'a -> (svalue,'a) token
val VMINPS:  'a * 'a -> (svalue,'a) token
val VCVTDQ2PD:  'a * 'a -> (svalue,'a) token
val VCVTPD2DQ:  'a * 'a -> (svalue,'a) token
val VCVTTPD2DQ:  'a * 'a -> (svalue,'a) token
val VCVTTPS2DQ:  'a * 'a -> (svalue,'a) token
val VCVTPS2DQ:  'a * 'a -> (svalue,'a) token
val VCVTDQ2PS:  'a * 'a -> (svalue,'a) token
val VCVTPD2PS:  'a * 'a -> (svalue,'a) token
val VCVTPS2PD:  'a * 'a -> (svalue,'a) token
val VDIVPD:  'a * 'a -> (svalue,'a) token
val VDIVPS:  'a * 'a -> (svalue,'a) token
val VMULPD:  'a * 'a -> (svalue,'a) token
val VMULPS:  'a * 'a -> (svalue,'a) token
val VSUBPD:  'a * 'a -> (svalue,'a) token
val VSUBPS:  'a * 'a -> (svalue,'a) token
val VADDPD:  'a * 'a -> (svalue,'a) token
val VADDPS:  'a * 'a -> (svalue,'a) token
val VRCPPS:  'a * 'a -> (svalue,'a) token
val VRSQRTPS:  'a * 'a -> (svalue,'a) token
val VSQRTPD:  'a * 'a -> (svalue,'a) token
val VSQRTPS:  'a * 'a -> (svalue,'a) token
val PCMPGTQ:  'a * 'a -> (svalue,'a) token
val PCMPISTRM:  'a * 'a -> (svalue,'a) token
val PCMPISTRI:  'a * 'a -> (svalue,'a) token
val PCMPESTRM:  'a * 'a -> (svalue,'a) token
val PCMPESTRI:  'a * 'a -> (svalue,'a) token
val POPCNT:  'a * 'a -> (svalue,'a) token
val CRC32:  'a * 'a -> (svalue,'a) token
val INVEPT:  'a * 'a -> (svalue,'a) token
val INVVPID:  'a * 'a -> (svalue,'a) token
val VMFUNC:  'a * 'a -> (svalue,'a) token
val VMXON:  'a * 'a -> (svalue,'a) token
val VMXOFF:  'a * 'a -> (svalue,'a) token
val VMRESUME:  'a * 'a -> (svalue,'a) token
val VMLAUNCH:  'a * 'a -> (svalue,'a) token
val VMCALL:  'a * 'a -> (svalue,'a) token
val VMWRITE:  'a * 'a -> (svalue,'a) token
val VMREAD:  'a * 'a -> (svalue,'a) token
val VMCLEAR:  'a * 'a -> (svalue,'a) token
val VMPTRST:  'a * 'a -> (svalue,'a) token
val VMPTRLD:  'a * 'a -> (svalue,'a) token
val MOVNTDQA:  'a * 'a -> (svalue,'a) token
val PACKUSDW:  'a * 'a -> (svalue,'a) token
val PCMPEQQ:  'a * 'a -> (svalue,'a) token
val PTEST:  'a * 'a -> (svalue,'a) token
val PMOVZXDQ:  'a * 'a -> (svalue,'a) token
val PMOVSXDQ:  'a * 'a -> (svalue,'a) token
val PMOVZXWQ:  'a * 'a -> (svalue,'a) token
val PMOVSXWQ:  'a * 'a -> (svalue,'a) token
val PMOVZXWD:  'a * 'a -> (svalue,'a) token
val PMOVSXWD:  'a * 'a -> (svalue,'a) token
val PMOVZXBQ:  'a * 'a -> (svalue,'a) token
val PMOVSXBQ:  'a * 'a -> (svalue,'a) token
val PMOVZXBD:  'a * 'a -> (svalue,'a) token
val PMOVSXBD:  'a * 'a -> (svalue,'a) token
val PMOVZXBW:  'a * 'a -> (svalue,'a) token
val PMOVSXBW:  'a * 'a -> (svalue,'a) token
val PEXTRQ:  'a * 'a -> (svalue,'a) token
val PEXTRD:  'a * 'a -> (svalue,'a) token
val PEXTRB:  'a * 'a -> (svalue,'a) token
val PINSRQ:  'a * 'a -> (svalue,'a) token
val PINSRD:  'a * 'a -> (svalue,'a) token
val PINSRB:  'a * 'a -> (svalue,'a) token
val PMAXUD:  'a * 'a -> (svalue,'a) token
val PMAXSD:  'a * 'a -> (svalue,'a) token
val PMAXUW:  'a * 'a -> (svalue,'a) token
val PMAXSB:  'a * 'a -> (svalue,'a) token
val PMINUD:  'a * 'a -> (svalue,'a) token
val PMINSD:  'a * 'a -> (svalue,'a) token
val PMINUW:  'a * 'a -> (svalue,'a) token
val PMINSB:  'a * 'a -> (svalue,'a) token
val PBLENDW:  'a * 'a -> (svalue,'a) token
val PBLENDVB:  'a * 'a -> (svalue,'a) token
val PMULDQ:  'a * 'a -> (svalue,'a) token
val PMULLD:  'a * 'a -> (svalue,'a) token
val PHMINPOSUW:  'a * 'a -> (svalue,'a) token
val MPSADBW:  'a * 'a -> (svalue,'a) token
val EXTRACTPS:  'a * 'a -> (svalue,'a) token
val INSERTPS:  'a * 'a -> (svalue,'a) token
val ROUNDSD:  'a * 'a -> (svalue,'a) token
val ROUNDPD:  'a * 'a -> (svalue,'a) token
val ROUNDSS:  'a * 'a -> (svalue,'a) token
val ROUNDPS:  'a * 'a -> (svalue,'a) token
val BLENDVPD:  'a * 'a -> (svalue,'a) token
val BLENDPD:  'a * 'a -> (svalue,'a) token
val BLENDVPS:  'a * 'a -> (svalue,'a) token
val BLENDPS:  'a * 'a -> (svalue,'a) token
val DPPD:  'a * 'a -> (svalue,'a) token
val DPPS:  'a * 'a -> (svalue,'a) token
val PABSD:  'a * 'a -> (svalue,'a) token
val PABSW:  'a * 'a -> (svalue,'a) token
val PABSB:  'a * 'a -> (svalue,'a) token
val PALIGNR:  'a * 'a -> (svalue,'a) token
val PHADDD:  'a * 'a -> (svalue,'a) token
val PHADDW:  'a * 'a -> (svalue,'a) token
val PHADDSW:  'a * 'a -> (svalue,'a) token
val PHSUBD:  'a * 'a -> (svalue,'a) token
val PHSUBSW:  'a * 'a -> (svalue,'a) token
val PHSUBW:  'a * 'a -> (svalue,'a) token
val PMADDUBSW:  'a * 'a -> (svalue,'a) token
val PMULHRSW:  'a * 'a -> (svalue,'a) token
val PSHUFB:  'a * 'a -> (svalue,'a) token
val PSIGND:  'a * 'a -> (svalue,'a) token
val PSIGNW:  'a * 'a -> (svalue,'a) token
val PSIGNB:  'a * 'a -> (svalue,'a) token
val LDDQU:  'a * 'a -> (svalue,'a) token
val HSUBPD:  'a * 'a -> (svalue,'a) token
val HSUBPS:  'a * 'a -> (svalue,'a) token
val HADDPD:  'a * 'a -> (svalue,'a) token
val HADDPS:  'a * 'a -> (svalue,'a) token
val MOVSHDUP:  'a * 'a -> (svalue,'a) token
val MOVSLDUP:  'a * 'a -> (svalue,'a) token
val MOVDDUP:  'a * 'a -> (svalue,'a) token
val ADDSUBPD:  'a * 'a -> (svalue,'a) token
val ADDSUBPS:  'a * 'a -> (svalue,'a) token
val FISTTP:  'a * 'a -> (svalue,'a) token
val MWAIT:  'a * 'a -> (svalue,'a) token
val MONITOR:  'a * 'a -> (svalue,'a) token
val SWAPGS:  'a * 'a -> (svalue,'a) token
val STOSQ:  'a * 'a -> (svalue,'a) token
val SCASQ:  'a * 'a -> (svalue,'a) token
val RDTSCP:  'a * 'a -> (svalue,'a) token
val PUSHFQ:  'a * 'a -> (svalue,'a) token
val POPFQ:  'a * 'a -> (svalue,'a) token
val MOVSXD:  'a * 'a -> (svalue,'a) token
val LODSQ:  'a * 'a -> (svalue,'a) token
val JRCXZ:  'a * 'a -> (svalue,'a) token
val IRETQ:  'a * 'a -> (svalue,'a) token
val CMPXCHG16B:  'a * 'a -> (svalue,'a) token
val CMPSQ:  'a * 'a -> (svalue,'a) token
val CQO:  'a * 'a -> (svalue,'a) token
val CDQE:  'a * 'a -> (svalue,'a) token
val PUNPCKLQDQ:  'a * 'a -> (svalue,'a) token
val PUNPCKHQDQ:  'a * 'a -> (svalue,'a) token
val PSRLDQ:  'a * 'a -> (svalue,'a) token
val PSLLDQ:  'a * 'a -> (svalue,'a) token
val PSHUFD:  'a * 'a -> (svalue,'a) token
val PSHUFLW:  'a * 'a -> (svalue,'a) token
val PSHUFHW:  'a * 'a -> (svalue,'a) token
val MOVNTDQ:  'a * 'a -> (svalue,'a) token
val MOVQ2DQ:  'a * 'a -> (svalue,'a) token
val MOVDQU:  'a * 'a -> (svalue,'a) token
val MOVDQA:  'a * 'a -> (svalue,'a) token
val MOVDQ2Q:  'a * 'a -> (svalue,'a) token
val MASKMOVDQU:  'a * 'a -> (svalue,'a) token
val CVTTSD2SI:  'a * 'a -> (svalue,'a) token
val CVTTPS2DQ:  'a * 'a -> (svalue,'a) token
val CVTTPD2PI:  'a * 'a -> (svalue,'a) token
val CVTTPD2DQ:  'a * 'a -> (svalue,'a) token
val CVTSS2SD:  'a * 'a -> (svalue,'a) token
val CVTSI2SD:  'a * 'a -> (svalue,'a) token
val CVTSD2SS:  'a * 'a -> (svalue,'a) token
val CVTSD2SI:  'a * 'a -> (svalue,'a) token
val CVTPS2PD:  'a * 'a -> (svalue,'a) token
val CVTPS2DQ:  'a * 'a -> (svalue,'a) token
val CVTPI2PD:  'a * 'a -> (svalue,'a) token
val CVTPD2PS:  'a * 'a -> (svalue,'a) token
val CVTPD2PI:  'a * 'a -> (svalue,'a) token
val CVTPD2DQ:  'a * 'a -> (svalue,'a) token
val CVTDQ2PS:  'a * 'a -> (svalue,'a) token
val CVTDQ2PD:  'a * 'a -> (svalue,'a) token
val UNPCKLPD:  'a * 'a -> (svalue,'a) token
val UNPCKHPD:  'a * 'a -> (svalue,'a) token
val SHUFPD:  'a * 'a -> (svalue,'a) token
val UCOMISD:  'a * 'a -> (svalue,'a) token
val COMISD:  'a * 'a -> (svalue,'a) token
val CMPSD:  'a * 'a -> (svalue,'a) token
val CMPPD:  'a * 'a -> (svalue,'a) token
val XORPD:  'a * 'a -> (svalue,'a) token
val ORPD:  'a * 'a -> (svalue,'a) token
val ANDNPD:  'a * 'a -> (svalue,'a) token
val ANDPD:  'a * 'a -> (svalue,'a) token
val SUBSD:  'a * 'a -> (svalue,'a) token
val SUBPD:  'a * 'a -> (svalue,'a) token
val SQRTSD:  'a * 'a -> (svalue,'a) token
val SQRTPD:  'a * 'a -> (svalue,'a) token
val MULSD:  'a * 'a -> (svalue,'a) token
val MULPD:  'a * 'a -> (svalue,'a) token
val MINSD:  'a * 'a -> (svalue,'a) token
val MINPD:  'a * 'a -> (svalue,'a) token
val MAXSD:  'a * 'a -> (svalue,'a) token
val MAXPD:  'a * 'a -> (svalue,'a) token
val DIVSD:  'a * 'a -> (svalue,'a) token
val DIVPD:  'a * 'a -> (svalue,'a) token
val ADDSD:  'a * 'a -> (svalue,'a) token
val ADDPD:  'a * 'a -> (svalue,'a) token
val MOVSD:  'a * 'a -> (svalue,'a) token
val MOVMSKPD:  'a * 'a -> (svalue,'a) token
val MOVUPD:  'a * 'a -> (svalue,'a) token
val MOVLPD:  'a * 'a -> (svalue,'a) token
val MOVHPD:  'a * 'a -> (svalue,'a) token
val MOVNTPD:  'a * 'a -> (svalue,'a) token
val MOVAPD:  'a * 'a -> (svalue,'a) token
val PMULUDQ:  'a * 'a -> (svalue,'a) token
val PSUBQ:  'a * 'a -> (svalue,'a) token
val PAUSE:  'a * 'a -> (svalue,'a) token
val MOVNTI:  'a * 'a -> (svalue,'a) token
val MFENCE:  'a * 'a -> (svalue,'a) token
val LFENCE:  'a * 'a -> (svalue,'a) token
val CLFLUSH:  'a * 'a -> (svalue,'a) token
val SHUFPS:  'a * 'a -> (svalue,'a) token
val CMPSS:  'a * 'a -> (svalue,'a) token
val CMPPS:  'a * 'a -> (svalue,'a) token
val STMXCSR:  'a * 'a -> (svalue,'a) token
val LDMXCSR:  'a * 'a -> (svalue,'a) token
val MAXSS:  'a * 'a -> (svalue,'a) token
val MAXPS:  'a * 'a -> (svalue,'a) token
val DIVSS:  'a * 'a -> (svalue,'a) token
val DIVPS:  'a * 'a -> (svalue,'a) token
val MINSS:  'a * 'a -> (svalue,'a) token
val MINPS:  'a * 'a -> (svalue,'a) token
val SUBSS:  'a * 'a -> (svalue,'a) token
val SUBPS:  'a * 'a -> (svalue,'a) token
val MULSS:  'a * 'a -> (svalue,'a) token
val MULPS:  'a * 'a -> (svalue,'a) token
val ADDSS:  'a * 'a -> (svalue,'a) token
val ADDPS:  'a * 'a -> (svalue,'a) token
val RCPSS:  'a * 'a -> (svalue,'a) token
val RCPPS:  'a * 'a -> (svalue,'a) token
val RSQRTSS:  'a * 'a -> (svalue,'a) token
val RSQRTPS:  'a * 'a -> (svalue,'a) token
val SQRTSS:  'a * 'a -> (svalue,'a) token
val SQRTPS:  'a * 'a -> (svalue,'a) token
val COMISS:  'a * 'a -> (svalue,'a) token
val UCOMISS:  'a * 'a -> (svalue,'a) token
val CVTSS2SI:  'a * 'a -> (svalue,'a) token
val CVTPS2PI:  'a * 'a -> (svalue,'a) token
val CVTTSS2SI:  'a * 'a -> (svalue,'a) token
val CVTTPS2PI:  'a * 'a -> (svalue,'a) token
val MOVNTPS:  'a * 'a -> (svalue,'a) token
val CVTSI2SS:  'a * 'a -> (svalue,'a) token
val CVTPI2PS:  'a * 'a -> (svalue,'a) token
val MOVMSKPS:  'a * 'a -> (svalue,'a) token
val MOVAPS:  'a * 'a -> (svalue,'a) token
val MOVHPS:  'a * 'a -> (svalue,'a) token
val MOVLHPS:  'a * 'a -> (svalue,'a) token
val UNPCKHPS:  'a * 'a -> (svalue,'a) token
val UNPCKLPS:  'a * 'a -> (svalue,'a) token
val MOVLPS:  'a * 'a -> (svalue,'a) token
val MOVHLPS:  'a * 'a -> (svalue,'a) token
val MOVSS:  'a * 'a -> (svalue,'a) token
val MOVUPS:  'a * 'a -> (svalue,'a) token
val XORPS:  'a * 'a -> (svalue,'a) token
val ORPS:  'a * 'a -> (svalue,'a) token
val ANDNPS:  'a * 'a -> (svalue,'a) token
val ANDPS:  'a * 'a -> (svalue,'a) token
val PSADBW:  'a * 'a -> (svalue,'a) token
val PMAXSW:  'a * 'a -> (svalue,'a) token
val PMINSW:  'a * 'a -> (svalue,'a) token
val PMULHUW:  'a * 'a -> (svalue,'a) token
val PAVGW:  'a * 'a -> (svalue,'a) token
val PAVGB:  'a * 'a -> (svalue,'a) token
val PMAXUB:  'a * 'a -> (svalue,'a) token
val PMINUB:  'a * 'a -> (svalue,'a) token
val PMOVMSKB:  'a * 'a -> (svalue,'a) token
val PEXTRW:  'a * 'a -> (svalue,'a) token
val PINSRW:  'a * 'a -> (svalue,'a) token
val PSHUFW:  'a * 'a -> (svalue,'a) token
val FXSAVE:  'a * 'a -> (svalue,'a) token
val FXRSTOR:  'a * 'a -> (svalue,'a) token
val SFENCE:  'a * 'a -> (svalue,'a) token
val PREFETCHNTA:  'a * 'a -> (svalue,'a) token
val PREFETCHT2:  'a * 'a -> (svalue,'a) token
val PREFETCHT1:  'a * 'a -> (svalue,'a) token
val PREFETCHT0:  'a * 'a -> (svalue,'a) token
val MOVNTQ:  'a * 'a -> (svalue,'a) token
val MASKMOVQ:  'a * 'a -> (svalue,'a) token
val SYSEXIT:  'a * 'a -> (svalue,'a) token
val SYSENTER:  'a * 'a -> (svalue,'a) token
val FUCOMIP:  'a * 'a -> (svalue,'a) token
val FUCOMI:  'a * 'a -> (svalue,'a) token
val FCOMIP:  'a * 'a -> (svalue,'a) token
val FCOMI:  'a * 'a -> (svalue,'a) token
val FCMOVU:  'a * 'a -> (svalue,'a) token
val FCMOVNU:  'a * 'a -> (svalue,'a) token
val FCMOVNE:  'a * 'a -> (svalue,'a) token
val FCMOVNBE:  'a * 'a -> (svalue,'a) token
val FCMOVNB:  'a * 'a -> (svalue,'a) token
val FCMOVE:  'a * 'a -> (svalue,'a) token
val FCMOVBE:  'a * 'a -> (svalue,'a) token
val FCMOVB:  'a * 'a -> (svalue,'a) token
val UD2:  'a * 'a -> (svalue,'a) token
val CMOVZ:  'a * 'a -> (svalue,'a) token
val CMOVS:  'a * 'a -> (svalue,'a) token
val CMOVPO:  'a * 'a -> (svalue,'a) token
val CMOVPE:  'a * 'a -> (svalue,'a) token
val CMOVP:  'a * 'a -> (svalue,'a) token
val CMOVO:  'a * 'a -> (svalue,'a) token
val CMOVNZ:  'a * 'a -> (svalue,'a) token
val CMOVNS:  'a * 'a -> (svalue,'a) token
val CMOVNP:  'a * 'a -> (svalue,'a) token
val CMOVNO:  'a * 'a -> (svalue,'a) token
val CMOVNLE:  'a * 'a -> (svalue,'a) token
val CMOVNL:  'a * 'a -> (svalue,'a) token
val CMOVNGE:  'a * 'a -> (svalue,'a) token
val CMOVNG:  'a * 'a -> (svalue,'a) token
val CMOVNE:  'a * 'a -> (svalue,'a) token
val CMOVNC:  'a * 'a -> (svalue,'a) token
val CMOVNBE:  'a * 'a -> (svalue,'a) token
val CMOVNB:  'a * 'a -> (svalue,'a) token
val CMOVNAE:  'a * 'a -> (svalue,'a) token
val CMOVNA:  'a * 'a -> (svalue,'a) token
val CMOVLE:  'a * 'a -> (svalue,'a) token
val CMOVL:  'a * 'a -> (svalue,'a) token
val CMOVGE:  'a * 'a -> (svalue,'a) token
val CMOVG:  'a * 'a -> (svalue,'a) token
val CMOVE:  'a * 'a -> (svalue,'a) token
val CMOVC:  'a * 'a -> (svalue,'a) token
val CMOVBE:  'a * 'a -> (svalue,'a) token
val CMOVB:  'a * 'a -> (svalue,'a) token
val CMOVAE:  'a * 'a -> (svalue,'a) token
val CMOVA:  'a * 'a -> (svalue,'a) token
val PUNPCKLDQ:  'a * 'a -> (svalue,'a) token
val PUNPCKLWD:  'a * 'a -> (svalue,'a) token
val PUNPCKLBW:  'a * 'a -> (svalue,'a) token
val PUNPCKHDQ:  'a * 'a -> (svalue,'a) token
val PUNPCKHWD:  'a * 'a -> (svalue,'a) token
val PUNPCKHBW:  'a * 'a -> (svalue,'a) token
val PSUBUSW:  'a * 'a -> (svalue,'a) token
val PSUBUSB:  'a * 'a -> (svalue,'a) token
val PSUBSW:  'a * 'a -> (svalue,'a) token
val PSUBSB:  'a * 'a -> (svalue,'a) token
val PSUBD:  'a * 'a -> (svalue,'a) token
val PSUBW:  'a * 'a -> (svalue,'a) token
val PSUBB:  'a * 'a -> (svalue,'a) token
val PSRLQ:  'a * 'a -> (svalue,'a) token
val PSRLD:  'a * 'a -> (svalue,'a) token
val PSRLW:  'a * 'a -> (svalue,'a) token
val PSRAW:  'a * 'a -> (svalue,'a) token
val PSRAD:  'a * 'a -> (svalue,'a) token
val PSLLQ:  'a * 'a -> (svalue,'a) token
val PSLLD:  'a * 'a -> (svalue,'a) token
val PSLLW:  'a * 'a -> (svalue,'a) token
val PMULLW:  'a * 'a -> (svalue,'a) token
val PMULHW:  'a * 'a -> (svalue,'a) token
val PMADDWD:  'a * 'a -> (svalue,'a) token
val PCMPGTD:  'a * 'a -> (svalue,'a) token
val PCMPGTW:  'a * 'a -> (svalue,'a) token
val PCMPGTB:  'a * 'a -> (svalue,'a) token
val PCMPEQD:  'a * 'a -> (svalue,'a) token
val PCMPEQW:  'a * 'a -> (svalue,'a) token
val PCMPEQB:  'a * 'a -> (svalue,'a) token
val PXOR:  'a * 'a -> (svalue,'a) token
val POR:  'a * 'a -> (svalue,'a) token
val PANDN:  'a * 'a -> (svalue,'a) token
val PAND:  'a * 'a -> (svalue,'a) token
val PADDUSW:  'a * 'a -> (svalue,'a) token
val PADDUSB:  'a * 'a -> (svalue,'a) token
val PADDSW:  'a * 'a -> (svalue,'a) token
val PADDSB:  'a * 'a -> (svalue,'a) token
val PADDQ:  'a * 'a -> (svalue,'a) token
val PADDD:  'a * 'a -> (svalue,'a) token
val PADDW:  'a * 'a -> (svalue,'a) token
val PADDB:  'a * 'a -> (svalue,'a) token
val PACKUSWB:  'a * 'a -> (svalue,'a) token
val PACKSSWB:  'a * 'a -> (svalue,'a) token
val PACKSSDW:  'a * 'a -> (svalue,'a) token
val MOVQ:  'a * 'a -> (svalue,'a) token
val MOVD:  'a * 'a -> (svalue,'a) token
val EMMS:  'a * 'a -> (svalue,'a) token
val RDPMC:  'a * 'a -> (svalue,'a) token
val RSM:  'a * 'a -> (svalue,'a) token
val WRMSR:  'a * 'a -> (svalue,'a) token
val RDTSC:  'a * 'a -> (svalue,'a) token
val RDMSR:  'a * 'a -> (svalue,'a) token
val CMPXCHG8B:  'a * 'a -> (svalue,'a) token
val CPUID:  'a * 'a -> (svalue,'a) token
val XADD:  'a * 'a -> (svalue,'a) token
val WBINVD:  'a * 'a -> (svalue,'a) token
val INVLPG:  'a * 'a -> (svalue,'a) token
val INVD:  'a * 'a -> (svalue,'a) token
val CMPXCHG:  'a * 'a -> (svalue,'a) token
val BSWAP:  'a * 'a -> (svalue,'a) token
val FUCOMPP:  'a * 'a -> (svalue,'a) token
val FUCOMP:  'a * 'a -> (svalue,'a) token
val FUCOM:  'a * 'a -> (svalue,'a) token
val FSINCOS:  'a * 'a -> (svalue,'a) token
val FSIN:  'a * 'a -> (svalue,'a) token
val FRSTORD:  'a * 'a -> (svalue,'a) token
val FPREM1:  'a * 'a -> (svalue,'a) token
val FSTENVD:  'a * 'a -> (svalue,'a) token
val FSAVED:  'a * 'a -> (svalue,'a) token
val FLDENVD:  'a * 'a -> (svalue,'a) token
val FCOS:  'a * 'a -> (svalue,'a) token
val SETZ:  'a * 'a -> (svalue,'a) token
val SETS:  'a * 'a -> (svalue,'a) token
val SETPO:  'a * 'a -> (svalue,'a) token
val SETPE:  'a * 'a -> (svalue,'a) token
val SETP:  'a * 'a -> (svalue,'a) token
val SETO:  'a * 'a -> (svalue,'a) token
val SETNZ:  'a * 'a -> (svalue,'a) token
val SETNS:  'a * 'a -> (svalue,'a) token
val SETNP:  'a * 'a -> (svalue,'a) token
val SETNO:  'a * 'a -> (svalue,'a) token
val SETNLE:  'a * 'a -> (svalue,'a) token
val SETNL:  'a * 'a -> (svalue,'a) token
val SETNGE:  'a * 'a -> (svalue,'a) token
val SETNG:  'a * 'a -> (svalue,'a) token
val SETNE:  'a * 'a -> (svalue,'a) token
val SETNC:  'a * 'a -> (svalue,'a) token
val SETNBE:  'a * 'a -> (svalue,'a) token
val SETNB:  'a * 'a -> (svalue,'a) token
val SETNAE:  'a * 'a -> (svalue,'a) token
val SETNA:  'a * 'a -> (svalue,'a) token
val SETLE:  'a * 'a -> (svalue,'a) token
val SETL:  'a * 'a -> (svalue,'a) token
val SETGE:  'a * 'a -> (svalue,'a) token
val SETG:  'a * 'a -> (svalue,'a) token
val SETE:  'a * 'a -> (svalue,'a) token
val SETC:  'a * 'a -> (svalue,'a) token
val SETBE:  'a * 'a -> (svalue,'a) token
val SETB:  'a * 'a -> (svalue,'a) token
val SETAE:  'a * 'a -> (svalue,'a) token
val SETA:  'a * 'a -> (svalue,'a) token
val SCASD:  'a * 'a -> (svalue,'a) token
val PUSHFD:  'a * 'a -> (svalue,'a) token
val PUSHAD:  'a * 'a -> (svalue,'a) token
val POPFD:  'a * 'a -> (svalue,'a) token
val POPAD:  'a * 'a -> (svalue,'a) token
val OUTSD:  'a * 'a -> (svalue,'a) token
val MOVZX:  'a * 'a -> (svalue,'a) token
val MOVSX:  'a * 'a -> (svalue,'a) token
val LOOPNED:  'a * 'a -> (svalue,'a) token
val LOOPNZD:  'a * 'a -> (svalue,'a) token
val LOOPED:  'a * 'a -> (svalue,'a) token
val LOOPZD:  'a * 'a -> (svalue,'a) token
val LOOPD:  'a * 'a -> (svalue,'a) token
val LOOPNEW:  'a * 'a -> (svalue,'a) token
val LOOPNZW:  'a * 'a -> (svalue,'a) token
val LOOPEW:  'a * 'a -> (svalue,'a) token
val LOOPZW:  'a * 'a -> (svalue,'a) token
val LOOPW:  'a * 'a -> (svalue,'a) token
val LODSD:  'a * 'a -> (svalue,'a) token
val LSS:  'a * 'a -> (svalue,'a) token
val LGS:  'a * 'a -> (svalue,'a) token
val LFS:  'a * 'a -> (svalue,'a) token
val JECXZ:  'a * 'a -> (svalue,'a) token
val IRETF:  'a * 'a -> (svalue,'a) token
val IRETD:  'a * 'a -> (svalue,'a) token
val INSD:  'a * 'a -> (svalue,'a) token
val IBTS:  'a * 'a -> (svalue,'a) token
val CWDE:  'a * 'a -> (svalue,'a) token
val CDQ:  'a * 'a -> (svalue,'a) token
val BTS:  'a * 'a -> (svalue,'a) token
val BTR:  'a * 'a -> (svalue,'a) token
val BTC:  'a * 'a -> (svalue,'a) token
val BT:  'a * 'a -> (svalue,'a) token
val BSR:  'a * 'a -> (svalue,'a) token
val BSF:  'a * 'a -> (svalue,'a) token
val FSETPM:  'a * 'a -> (svalue,'a) token
val VERW:  'a * 'a -> (svalue,'a) token
val VERR:  'a * 'a -> (svalue,'a) token
val STR:  'a * 'a -> (svalue,'a) token
val SMSW:  'a * 'a -> (svalue,'a) token
val SLDT:  'a * 'a -> (svalue,'a) token
val SIDT:  'a * 'a -> (svalue,'a) token
val SGDT:  'a * 'a -> (svalue,'a) token
val LTR:  'a * 'a -> (svalue,'a) token
val LSL:  'a * 'a -> (svalue,'a) token
val LOADALL:  'a * 'a -> (svalue,'a) token
val LMSW:  'a * 'a -> (svalue,'a) token
val LLDT:  'a * 'a -> (svalue,'a) token
val LIDT:  'a * 'a -> (svalue,'a) token
val LGDT:  'a * 'a -> (svalue,'a) token
val LAR:  'a * 'a -> (svalue,'a) token
val CLTS:  'a * 'a -> (svalue,'a) token
val ARPL:  'a * 'a -> (svalue,'a) token
val PUSHA:  'a * 'a -> (svalue,'a) token
val POPA:  'a * 'a -> (svalue,'a) token
val OUTS:  'a * 'a -> (svalue,'a) token
val LEAVE:  'a * 'a -> (svalue,'a) token
val INS:  'a * 'a -> (svalue,'a) token
val ENTER:  'a * 'a -> (svalue,'a) token
val BOUND:  'a * 'a -> (svalue,'a) token
val FYL2XP1:  'a * 'a -> (svalue,'a) token
val FYL2X:  'a * 'a -> (svalue,'a) token
val FXTRACT:  'a * 'a -> (svalue,'a) token
val FXCH:  'a * 'a -> (svalue,'a) token
val FXAM:  'a * 'a -> (svalue,'a) token
val FWAIT:  'a * 'a -> (svalue,'a) token
val FTST:  'a * 'a -> (svalue,'a) token
val FSUBRP:  'a * 'a -> (svalue,'a) token
val FSUBR:  'a * 'a -> (svalue,'a) token
val FSUBP:  'a * 'a -> (svalue,'a) token
val FSUB:  'a * 'a -> (svalue,'a) token
val FSTSW:  'a * 'a -> (svalue,'a) token
val FSTP:  'a * 'a -> (svalue,'a) token
val FSTENVW:  'a * 'a -> (svalue,'a) token
val FSTENV:  'a * 'a -> (svalue,'a) token
val FSTCW:  'a * 'a -> (svalue,'a) token
val FST:  'a * 'a -> (svalue,'a) token
val FSQRT:  'a * 'a -> (svalue,'a) token
val FSCALE:  'a * 'a -> (svalue,'a) token
val FSAVEW:  'a * 'a -> (svalue,'a) token
val SAVE:  'a * 'a -> (svalue,'a) token
val FRSTORW:  'a * 'a -> (svalue,'a) token
val FRSTOR:  'a * 'a -> (svalue,'a) token
val FRNDINT:  'a * 'a -> (svalue,'a) token
val FPTAN:  'a * 'a -> (svalue,'a) token
val FPREM:  'a * 'a -> (svalue,'a) token
val FPATAN:  'a * 'a -> (svalue,'a) token
val FNSTSW:  'a * 'a -> (svalue,'a) token
val FNSTENVW:  'a * 'a -> (svalue,'a) token
val FNSTENV:  'a * 'a -> (svalue,'a) token
val FNSTCW:  'a * 'a -> (svalue,'a) token
val FNSAVEW:  'a * 'a -> (svalue,'a) token
val FNSAVE:  'a * 'a -> (svalue,'a) token
val FNOP:  'a * 'a -> (svalue,'a) token
val FNINIT:  'a * 'a -> (svalue,'a) token
val FNENI:  'a * 'a -> (svalue,'a) token
val FNDISI:  'a * 'a -> (svalue,'a) token
val FNCLEX:  'a * 'a -> (svalue,'a) token
val FMULP:  'a * 'a -> (svalue,'a) token
val FMUL:  'a * 'a -> (svalue,'a) token
val FLDZ:  'a * 'a -> (svalue,'a) token
val LDPI:  'a * 'a -> (svalue,'a) token
val FLDLN2:  'a * 'a -> (svalue,'a) token
val FLDLG2:  'a * 'a -> (svalue,'a) token
val FLDL2T:  'a * 'a -> (svalue,'a) token
val FLDL2E:  'a * 'a -> (svalue,'a) token
val FLDENVW:  'a * 'a -> (svalue,'a) token
val FLDENV:  'a * 'a -> (svalue,'a) token
val FLDCW:  'a * 'a -> (svalue,'a) token
val FLD1:  'a * 'a -> (svalue,'a) token
val FLD:  'a * 'a -> (svalue,'a) token
val ISUBR:  'a * 'a -> (svalue,'a) token
val FISUB:  'a * 'a -> (svalue,'a) token
val FISTP:  'a * 'a -> (svalue,'a) token
val FIST:  'a * 'a -> (svalue,'a) token
val FINIT:  'a * 'a -> (svalue,'a) token
val FINCSTP:  'a * 'a -> (svalue,'a) token
val FIMUL:  'a * 'a -> (svalue,'a) token
val FILD:  'a * 'a -> (svalue,'a) token
val FIDIVR:  'a * 'a -> (svalue,'a) token
val FIDIV:  'a * 'a -> (svalue,'a) token
val FICOMP:  'a * 'a -> (svalue,'a) token
val FICOM:  'a * 'a -> (svalue,'a) token
val FIADD:  'a * 'a -> (svalue,'a) token
val FFREE:  'a * 'a -> (svalue,'a) token
val FENI:  'a * 'a -> (svalue,'a) token
val FDIVRP:  'a * 'a -> (svalue,'a) token
val FDIVR:  'a * 'a -> (svalue,'a) token
val FDIVP:  'a * 'a -> (svalue,'a) token
val FDIV:  'a * 'a -> (svalue,'a) token
val FDISI:  'a * 'a -> (svalue,'a) token
val DECSTP:  'a * 'a -> (svalue,'a) token
val FCOMPP:  'a * 'a -> (svalue,'a) token
val FCOMP:  'a * 'a -> (svalue,'a) token
val FCOM:  'a * 'a -> (svalue,'a) token
val FCLEX:  'a * 'a -> (svalue,'a) token
val FCHS:  'a * 'a -> (svalue,'a) token
val FBSTP:  'a * 'a -> (svalue,'a) token
val FBLD:  'a * 'a -> (svalue,'a) token
val FADDP:  'a * 'a -> (svalue,'a) token
val FADD:  'a * 'a -> (svalue,'a) token
val FABS:  'a * 'a -> (svalue,'a) token
val F2XM1:  'a * 'a -> (svalue,'a) token
val XOR:  'a * 'a -> (svalue,'a) token
val XLAT:  'a * 'a -> (svalue,'a) token
val XCHG:  'a * 'a -> (svalue,'a) token
val WAIT:  'a * 'a -> (svalue,'a) token
val TEST:  'a * 'a -> (svalue,'a) token
val SUB:  'a * 'a -> (svalue,'a) token
val STOSW:  'a * 'a -> (svalue,'a) token
val STOSB:  'a * 'a -> (svalue,'a) token
val STI:  'a * 'a -> (svalue,'a) token
val STD:  'a * 'a -> (svalue,'a) token
val STC:  'a * 'a -> (svalue,'a) token
val SHR:  'a * 'a -> (svalue,'a) token
val SHL:  'a * 'a -> (svalue,'a) token
val SCASW:  'a * 'a -> (svalue,'a) token
val SCASB:  'a * 'a -> (svalue,'a) token
val SBB:  'a * 'a -> (svalue,'a) token
val SAR:  'a * 'a -> (svalue,'a) token
val SAL:  'a * 'a -> (svalue,'a) token
val SAHF:  'a * 'a -> (svalue,'a) token
val ROR:  'a * 'a -> (svalue,'a) token
val ROL:  'a * 'a -> (svalue,'a) token
val RETF:  'a * 'a -> (svalue,'a) token
val RETN:  'a * 'a -> (svalue,'a) token
val RET:  'a * 'a -> (svalue,'a) token
val RCR:  'a * 'a -> (svalue,'a) token
val RCL:  'a * 'a -> (svalue,'a) token
val PUSHF:  'a * 'a -> (svalue,'a) token
val PUSH:  'a * 'a -> (svalue,'a) token
val POPF:  'a * 'a -> (svalue,'a) token
val POP:  'a * 'a -> (svalue,'a) token
val OUT:  'a * 'a -> (svalue,'a) token
val OR:  'a * 'a -> (svalue,'a) token
val NOT:  'a * 'a -> (svalue,'a) token
val NOP:  'a * 'a -> (svalue,'a) token
val NEG:  'a * 'a -> (svalue,'a) token
val MUL:  'a * 'a -> (svalue,'a) token
val MOVSW:  'a * 'a -> (svalue,'a) token
val MOVSB:  'a * 'a -> (svalue,'a) token
val MOV:  'a * 'a -> (svalue,'a) token
val LOOPZ:  'a * 'a -> (svalue,'a) token
val LOOPNZ:  'a * 'a -> (svalue,'a) token
val LOOPNE:  'a * 'a -> (svalue,'a) token
val LOOPE:  'a * 'a -> (svalue,'a) token
val LOOP:  'a * 'a -> (svalue,'a) token
val LODSW:  'a * 'a -> (svalue,'a) token
val LODSB:  'a * 'a -> (svalue,'a) token
val LOCK:  'a * 'a -> (svalue,'a) token
val LES:  'a * 'a -> (svalue,'a) token
val LEA:  'a * 'a -> (svalue,'a) token
val LDS:  'a * 'a -> (svalue,'a) token
val LAHF:  'a * 'a -> (svalue,'a) token
val JMP:  'a * 'a -> (svalue,'a) token
val JZ:  'a * 'a -> (svalue,'a) token
val JS:  'a * 'a -> (svalue,'a) token
val JPO:  'a * 'a -> (svalue,'a) token
val JPE:  'a * 'a -> (svalue,'a) token
val JP:  'a * 'a -> (svalue,'a) token
val JO:  'a * 'a -> (svalue,'a) token
val JNZ:  'a * 'a -> (svalue,'a) token
val JNS:  'a * 'a -> (svalue,'a) token
val JNP:  'a * 'a -> (svalue,'a) token
val JNO:  'a * 'a -> (svalue,'a) token
val JNLE:  'a * 'a -> (svalue,'a) token
val JNL:  'a * 'a -> (svalue,'a) token
val JNGE:  'a * 'a -> (svalue,'a) token
val JNG:  'a * 'a -> (svalue,'a) token
val JNE:  'a * 'a -> (svalue,'a) token
val JNC:  'a * 'a -> (svalue,'a) token
val JNBE:  'a * 'a -> (svalue,'a) token
val JNB:  'a * 'a -> (svalue,'a) token
val JNAE:  'a * 'a -> (svalue,'a) token
val JNA:  'a * 'a -> (svalue,'a) token
val JLE:  'a * 'a -> (svalue,'a) token
val JL:  'a * 'a -> (svalue,'a) token
val JGE:  'a * 'a -> (svalue,'a) token
val JG:  'a * 'a -> (svalue,'a) token
val JE:  'a * 'a -> (svalue,'a) token
val JC:  'a * 'a -> (svalue,'a) token
val JBE:  'a * 'a -> (svalue,'a) token
val JB:  'a * 'a -> (svalue,'a) token
val JAE:  'a * 'a -> (svalue,'a) token
val JA:  'a * 'a -> (svalue,'a) token
val IRET:  'a * 'a -> (svalue,'a) token
val INTO:  'a * 'a -> (svalue,'a) token
val INT:  'a * 'a -> (svalue,'a) token
val INC:  'a * 'a -> (svalue,'a) token
val IN:  'a * 'a -> (svalue,'a) token
val IMUL:  'a * 'a -> (svalue,'a) token
val IDIV:  'a * 'a -> (svalue,'a) token
val HLT:  'a * 'a -> (svalue,'a) token
val ESC:  'a * 'a -> (svalue,'a) token
val DIV:  'a * 'a -> (svalue,'a) token
val DEC:  'a * 'a -> (svalue,'a) token
val DAS:  'a * 'a -> (svalue,'a) token
val DAA:  'a * 'a -> (svalue,'a) token
val CWD:  'a * 'a -> (svalue,'a) token
val CMPSB:  'a * 'a -> (svalue,'a) token
val CMP:  'a * 'a -> (svalue,'a) token
val CMC:  'a * 'a -> (svalue,'a) token
val CLI:  'a * 'a -> (svalue,'a) token
val CLD:  'a * 'a -> (svalue,'a) token
val CLC:  'a * 'a -> (svalue,'a) token
val CBW:  'a * 'a -> (svalue,'a) token
val CALL:  'a * 'a -> (svalue,'a) token
val AND:  'a * 'a -> (svalue,'a) token
val ADD:  'a * 'a -> (svalue,'a) token
val ADC:  'a * 'a -> (svalue,'a) token
val AAS:  'a * 'a -> (svalue,'a) token
val AAM:  'a * 'a -> (svalue,'a) token
val AAD:  'a * 'a -> (svalue,'a) token
val AAA:  'a * 'a -> (svalue,'a) token
val NAT: (int) *  'a * 'a -> (svalue,'a) token
end
signature InstructionSemantics_LRVALS=
sig
structure Tokens : InstructionSemantics_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
